io.vertx.ext.stomp

## Class BridgeOptions

- java.lang.Object
- - io.vertx.ext.bridge.BridgeOptions
  - - io.vertx.ext.stomp.BridgeOptions

-     public class BridgeOptions
      extends BridgeOptions

  Specify the event bus bridge options.
  Author:
    Clement Escoffier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_POINT_TO_POINT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BridgeOptions()`
    `BridgeOptions(BridgeOptions that)`
    `BridgeOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BridgeOptions` | `addInboundPermitted(PermittedOptions permitted)` Adds an inbound permitted option to the current `BridgeOptions`.
    `BridgeOptions` | `addOutboundPermitted(PermittedOptions permitted)` Adds an outbound permitted option to the current `BridgeOptions`.
    `boolean` | `isPointToPoint()`
    `BridgeOptions` | `setInboundPermitteds(List<PermittedOptions> inboundPermitted)` Sets the list of inbound permitted options.
    `BridgeOptions` | `setOutboundPermitteds(List<PermittedOptions> outboundPermitted)` Sets the list of outbound permitted options.
    `BridgeOptions` | `setPointToPoint(boolean v)`
    `JsonObject` | `toJson()` Serializes the current `BridgeOptions` to JSON.

    - ### Methods inherited from class io.vertx.ext.bridge.BridgeOptions

      `getInboundPermitteds, getOutboundPermitteds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_POINT_TO_POINT

          public static final boolean DEFAULT_POINT_TO_POINT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BridgeOptions

          public BridgeOptions()

    - #### BridgeOptions

          public BridgeOptions(BridgeOptions that)

    - #### BridgeOptions

          public BridgeOptions(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Description copied from class: `BridgeOptions`
      Serializes the current `BridgeOptions` to JSON. This method uses the generated converter.
      Overrides:
        `toJson` in class `BridgeOptions`
      Returns:
        the serialized object

    - #### setPointToPoint

          public BridgeOptions setPointToPoint(boolean v)

    - #### isPointToPoint

          public boolean isPointToPoint()

    - #### setInboundPermitteds

          public BridgeOptions setInboundPermitteds(List<PermittedOptions> inboundPermitted)

      Description copied from class: `BridgeOptions`
      Sets the list of inbound permitted options.
      Overrides:
        `setInboundPermitteds` in class `BridgeOptions`
      Parameters:
        `inboundPermitted` - the list to use, must not be `null`. This method use the direct list reference (and doesn't create a copy).
      Returns:
        the current `BridgeOptions`.

    - #### setOutboundPermitteds

          public BridgeOptions setOutboundPermitteds(List<PermittedOptions> outboundPermitted)

      Description copied from class: `BridgeOptions`
      Sets the list of outbound permitted options.
      Overrides:
        `setOutboundPermitteds` in class `BridgeOptions`
      Parameters:
        `outboundPermitted` - the list to use, must not be `null`. This method use the direct list reference (and doesn't create a copy).
      Returns:
        the current `BridgeOptions`.

    - #### addInboundPermitted

          public BridgeOptions addInboundPermitted(PermittedOptions permitted)

      Description copied from class: `BridgeOptions`
      Adds an inbound permitted option to the current `BridgeOptions`.
      Overrides:
        `addInboundPermitted` in class `BridgeOptions`
      Parameters:
        `permitted` - the inbound permitted
      Returns:
        the current `BridgeOptions`.

    - #### addOutboundPermitted

          public BridgeOptions addOutboundPermitted(PermittedOptions permitted)

      Description copied from class: `BridgeOptions`
      Adds an outbound permitted option to the current `BridgeOptions`.
      Overrides:
        `addOutboundPermitted` in class `BridgeOptions`
      Parameters:
        `permitted` - the outbound permitted
      Returns:
        the current `BridgeOptions`.

Copyright © 2024 Eclipse. All rights reserved.